INTERFACE
SUBROUTINE gpsro_AD(kdlen,kdbdy,K_IMXCOUNT,klen,K_IVNMRQ,presf5,&
 & presf5_hat,P_TF5,P_TF5_HAT,P_QF5,P_QF5_HAT,&
 & P_GEOPF5,P_GEOPF5_HAT,P_ZXPP_HAT) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM, ONLY : nflevg
USE YOMDB
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KDBDY
INTEGER(KIND=JPIM),INTENT(IN) :: K_IMXCOUNT
INTEGER(KIND=JPIM),INTENT(IN) :: KLEN
INTEGER(KIND=JPIM),INTENT(IN) :: K_IVNMRQ(KDLEN,KDBDY)
REAL(KIND=JPRB) ,INTENT(IN) :: PRESF5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRESF5_HAT(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: P_TF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: P_TF5_HAT(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: P_QF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: P_QF5_HAT(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: P_GEOPF5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: P_GEOPF5_HAT(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: P_ZXPP_HAT(KDLEN,K_IMXCOUNT)
END SUBROUTINE gpsro_AD
END INTERFACE
